import java.util.Scanner;

public class Nesto{
    
    public static void main(String[] args) {
        Scanner in=new Scanner(System.in);
        int k;
        k=in.nextInt();
        int a=1;
        System.out.println(a);
        a=a-1;
        System.out.println(a +" "+ a);
        a=1;
        System.out.println(a +" "+ a);
        a=2;
        System.out.println(a +" "+ a);
    }
    
}